POST
/
api
/
v1
/
apps
/
{uuid}
/
addons
/
{id}
/
restore_backup
Restore add-on from backup
curl --request POST \
  --url https://app.miget.com/api/v1/apps/{uuid}/addons/{id}/restore_backup \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "backup_name": "<string>",
  "target_time": "<string>",
  "to_new_cluster": "<string>"
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Application UUID

id
string
required

Add-on ID or UUID

Body

application/json

Restore add-on from backup

backup_name
string

Name of a specific backup to restore from

target_time
string

ISO 8601 timestamp for point-in-time recovery

to_new_cluster
string

Set to '1' to restore to a new cluster instead of replacing the current one

Response

Restore add-on from backup

Api_V1_Entities_Message model

message
string
required

Response message